com.amazonaws.services.machinelearning.model

## Class CreateBatchPredictionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.CreateBatchPredictionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateBatchPredictionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateBatchPredictionRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateBatchPredictionRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getBatchPredictionDataSourceId()` The ID of the `DataSource` that points to the group of observations to predict.
`String` `getBatchPredictionId()` A user-supplied ID that uniquely identifies the `BatchPrediction`.
`String` `getBatchPredictionName()` A user-supplied name or description of the `BatchPrediction`.
`String` `getMLModelId()` The ID of the `MLModel` that will generate predictions for the group of observations.
`String` `getOutputUri()` The location of an Amazon Simple Storage Service (Amazon S3) bucket or directory to store the batch prediction results.
`int` `hashCode()`
`void` `setBatchPredictionDataSourceId(String batchPredictionDataSourceId)` The ID of the `DataSource` that points to the group of observations to predict.
`void` `setBatchPredictionId(String batchPredictionId)` A user-supplied ID that uniquely identifies the `BatchPrediction`.
`void` `setBatchPredictionName(String batchPredictionName)` A user-supplied name or description of the `BatchPrediction`.
`void` `setMLModelId(String mLModelId)` The ID of the `MLModel` that will generate predictions for the group of observations.
`void` `setOutputUri(String outputUri)` The location of an Amazon Simple Storage Service (Amazon S3) bucket or directory to store the batch prediction results.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateBatchPredictionRequest` `withBatchPredictionDataSourceId(String batchPredictionDataSourceId)` The ID of the `DataSource` that points to the group of observations to predict.
`CreateBatchPredictionRequest` `withBatchPredictionId(String batchPredictionId)` A user-supplied ID that uniquely identifies the `BatchPrediction`.
`CreateBatchPredictionRequest` `withBatchPredictionName(String batchPredictionName)` A user-supplied name or description of the `BatchPrediction`.
`CreateBatchPredictionRequest` `withMLModelId(String mLModelId)` The ID of the `MLModel` that will generate predictions for the group of observations.
`CreateBatchPredictionRequest` `withOutputUri(String outputUri)` The location of an Amazon Simple Storage Service (Amazon S3) bucket or directory to store the batch prediction results.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateBatchPredictionRequest

    public CreateBatchPredictionRequest()

### Method Detail

#### setBatchPredictionId

    public void setBatchPredictionId(String batchPredictionId)

A user-supplied ID that uniquely identifies the `BatchPrediction`.

Parameters:
  `batchPredictionId` - A user-supplied ID that uniquely identifies the `BatchPrediction`.

#### getBatchPredictionId

    public String getBatchPredictionId()

A user-supplied ID that uniquely identifies the `BatchPrediction`.

Returns:
  A user-supplied ID that uniquely identifies the `BatchPrediction`.

#### withBatchPredictionId

    public CreateBatchPredictionRequest withBatchPredictionId(String batchPredictionId)

A user-supplied ID that uniquely identifies the `BatchPrediction`.

Parameters:
  `batchPredictionId` - A user-supplied ID that uniquely identifies the `BatchPrediction`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBatchPredictionName

    public void setBatchPredictionName(String batchPredictionName)

A user-supplied name or description of the `BatchPrediction`. `BatchPredictionName` can only use the UTF-8 character set.

Parameters:
  `batchPredictionName` - A user-supplied name or description of the `BatchPrediction`. `BatchPredictionName` can only use the UTF-8 character set.

#### getBatchPredictionName

    public String getBatchPredictionName()

A user-supplied name or description of the `BatchPrediction`. `BatchPredictionName` can only use the UTF-8 character set.

Returns:
  A user-supplied name or description of the `BatchPrediction`. `BatchPredictionName` can only use the UTF-8 character set.

#### withBatchPredictionName

    public CreateBatchPredictionRequest withBatchPredictionName(String batchPredictionName)

A user-supplied name or description of the `BatchPrediction`. `BatchPredictionName` can only use the UTF-8 character set.

Parameters:
  `batchPredictionName` - A user-supplied name or description of the `BatchPrediction`. `BatchPredictionName` can only use the UTF-8 character set.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMLModelId

    public void setMLModelId(String mLModelId)

The ID of the `MLModel` that will generate predictions for the group of observations.

Parameters:
  `mLModelId` - The ID of the `MLModel` that will generate predictions for the group of observations.

#### getMLModelId

    public String getMLModelId()

The ID of the `MLModel` that will generate predictions for the group of observations.

Returns:
  The ID of the `MLModel` that will generate predictions for the group of observations.

#### withMLModelId

    public CreateBatchPredictionRequest withMLModelId(String mLModelId)

The ID of the `MLModel` that will generate predictions for the group of observations.

Parameters:
  `mLModelId` - The ID of the `MLModel` that will generate predictions for the group of observations.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBatchPredictionDataSourceId

    public void setBatchPredictionDataSourceId(String batchPredictionDataSourceId)

The ID of the `DataSource` that points to the group of observations to predict.

Parameters:
  `batchPredictionDataSourceId` - The ID of the `DataSource` that points to the group of observations to predict.

#### getBatchPredictionDataSourceId

    public String getBatchPredictionDataSourceId()

The ID of the `DataSource` that points to the group of observations to predict.

Returns:
  The ID of the `DataSource` that points to the group of observations to predict.

#### withBatchPredictionDataSourceId

    public CreateBatchPredictionRequest withBatchPredictionDataSourceId(String batchPredictionDataSourceId)

The ID of the `DataSource` that points to the group of observations to predict.

Parameters:
  `batchPredictionDataSourceId` - The ID of the `DataSource` that points to the group of observations to predict.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setOutputUri

    public void setOutputUri(String outputUri)

The location of an Amazon Simple Storage Service (Amazon S3) bucket or directory to store the batch prediction results. The following substrings are not allowed in the `s3 key` portion of the `outputURI` field: ':', '//', '/./', '/../'.

Amazon ML needs permissions to store and retrieve the logs on your behalf. For information about how to set permissions, see the Amazon Machine Learning Developer Guide.

Parameters:
  `outputUri` - The location of an Amazon Simple Storage Service (Amazon S3) bucket or directory to store the batch prediction results. The following substrings are not allowed in the `s3 key` portion of the `outputURI` field: ':', '//', '/./', '/../'.

  Amazon ML needs permissions to store and retrieve the logs on your behalf. For information about how to set permissions, see the Amazon Machine Learning Developer Guide.

#### getOutputUri

    public String getOutputUri()

The location of an Amazon Simple Storage Service (Amazon S3) bucket or directory to store the batch prediction results. The following substrings are not allowed in the `s3 key` portion of the `outputURI` field: ':', '//', '/./', '/../'.

Amazon ML needs permissions to store and retrieve the logs on your behalf. For information about how to set permissions, see the Amazon Machine Learning Developer Guide.

Returns:
  The location of an Amazon Simple Storage Service (Amazon S3) bucket or directory to store the batch prediction results. The following substrings are not allowed in the `s3 key` portion of the `outputURI` field: ':', '//', '/./', '/../'.

  Amazon ML needs permissions to store and retrieve the logs on your behalf. For information about how to set permissions, see the Amazon Machine Learning Developer Guide.

#### withOutputUri

    public CreateBatchPredictionRequest withOutputUri(String outputUri)

The location of an Amazon Simple Storage Service (Amazon S3) bucket or directory to store the batch prediction results. The following substrings are not allowed in the `s3 key` portion of the `outputURI` field: ':', '//', '/./', '/../'.

Amazon ML needs permissions to store and retrieve the logs on your behalf. For information about how to set permissions, see the Amazon Machine Learning Developer Guide.

Parameters:
  `outputUri` - The location of an Amazon Simple Storage Service (Amazon S3) bucket or directory to store the batch prediction results. The following substrings are not allowed in the `s3 key` portion of the `outputURI` field: ':', '//', '/./', '/../'.

  Amazon ML needs permissions to store and retrieve the logs on your behalf. For information about how to set permissions, see the Amazon Machine Learning Developer Guide.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateBatchPredictionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`